Subject: bug#4368: 23.1; diff-hunk-kill -vs- final hunk in a file

From: Tom Tromey <[email-masked]>
Date: Tue, 08 Sep 2009 09:43:30 -0600

>>>>> "Andreas" == Andreas Schwab <[email-masked]> writes:

>> I'm using diff-mode to edit a patch.
>> The patch was generated by "git diff".
>> I typed M-k to remove the last hunk in a file.
>> However, it left the "header" around:

Andreas> Use M-K instead, this will also remove the header.

Yeah, I knew about M-K.  I was editing the patch, deleting hunks
one-by-one, and I didn't notice that I was about to delete the last hunk
from a file.  It would be nicer if diff-mode handled this for me, so
that I didn't accidentally create a bogus patch.

Tom